body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-image: url('/images/stars.jpeg');
}

.header {
    background: rgba(28, 28, 28, 0.5);
    color: #fff;
    padding: 15px;
    text-align: center;
    
}
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000; 
    padding: 10px 0; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
}

.movie-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 15px;
    padding: 20px;
    margin-top: 90px;
}

.movie-card {
    background: white;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
    transition: transform 0.3s;
    cursor: pointer;
}

.movie-card:hover {
    transform: translateY(-5px);
}

.movie-card img {
    max-width: 100%;
    border-bottom: 2px solid #f1f1f1;
}

.movie-card h3 {
    text-align: center;
}

.movie-card p {
    text-align: center;
    font-weight: bold;
}

.description-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px;
    opacity: 0;
    transition: opacity 0.3s;
}

.movie-card:hover .description-overlay {
    opacity: 1;
}

.movie-details {
    padding: 20px;
    background: white;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    margin: 20px;
}

button {
    padding: 10px 15px;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #074414;
}

button:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}
.modal {
    display: none; 
    position: fixed; 
    z-index: 1000; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgba(0, 0, 0, 0.5); 
}

.modal-content {
    background-image: url('/images/stars.jpeg');
    margin: auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 300px; 
    max-width: 90%; 
    position: relative;
    top: 50%; 
    transform: translateY(-50%); 
    border-radius: 10px; 
    color: #fff;
    text-align: center;
}


.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    transition: 0.5s;
}

.close-button:hover,
.close-button:focus {
    color: rgb(243, 240, 240);
    text-decoration: none;
    cursor: pointer;
}

#modal-movie-poster {
    width: 100%; 
    height: auto;
    border-radius: 10px;
}

#modal-buy-ticket {
    margin-top: 10px; 
}

